Show / Hide Table of Contents

# Class WebSocketRequest

##### Inheritance

System.Object
WebSocketRequest

##### Implements

IRequest

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Net.Queue

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class WebSocketRequest : IRequest

### Constructors

| Improve this Doc View Source

#### WebSocketRequest(IWebSocketClient, String, Byte[], Boolean, RequestOptions)

##### Declaration

    public WebSocketRequest(IWebSocketClient client, string bucketId, byte[] data, bool isText, RequestOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
IWebSocketClient | client |
System.String | bucketId |
System.Byte[] | data |
System.Boolean | isText |
RequestOptions | options |

### Properties

| Improve this Doc View Source

#### BucketId

##### Declaration

    public string BucketId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### CancelToken

##### Declaration

    public CancellationToken CancelToken { get; }

##### Property Value

Type | Description
--- | ---
System.Threading.CancellationToken |

| Improve this Doc View Source

#### Client

##### Declaration

    public IWebSocketClient Client { get; }

##### Property Value

Type | Description
--- | ---
IWebSocketClient |

| Improve this Doc View Source

#### Data

##### Declaration

    public byte[] Data { get; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### IsText

##### Declaration

    public bool IsText { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Options

##### Declaration

    public RequestOptions Options { get; }

##### Property Value

Type | Description
--- | ---
RequestOptions |

| Improve this Doc View Source

#### Promise

##### Declaration

    public TaskCompletionSource<Stream> Promise { get; }

##### Property Value

Type | Description
--- | ---
System.Threading.Tasks.TaskCompletionSource<System.IO.Stream> |

| Improve this Doc View Source

#### TimeoutAt

##### Declaration

    public DateTimeOffset? TimeoutAt { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

### Methods

| Improve this Doc View Source

#### SendAsync()

##### Declaration

    public Task SendAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

### Implements

IRequest